import { Series } from "./Series";
import { IHasCategoryModePreference } from "./IHasCategoryModePreference";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Type, Point } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Rect } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { Geometry } from "igniteui-react-core";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ValueOverlay extends Series implements IHasCategoryModePreference {
    static $t: Type;
    constructor();
    n9: Axis;
    or: number;
    op: number;
    oq: number;
    om: number;
    fh(a: Point, b: boolean, c: boolean): number;
    on(a: Point, b: Point): number;
    nt(a: Point, b: boolean, c: boolean): Point;
    f9(a: Point): number;
    gq(a: Point): any;
    dq(a: any): boolean;
    ao(a: Axis): AxisRange;
    k4(a: boolean): void;
    oo(): number;
    o8(a: number, b: ValueOverlayView): void;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    protected lo(a: Rect, b: Rect): void;
    protected ln(a: Rect, b: Rect): void;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    j2(): void;
    jl(a: boolean, b: SeriesView): void;
    private oe;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    readonly categoryAxis: CategoryAxisBase;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    private oc;
    k5(a: Rect, b: RenderSurface): void;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    od: boolean;
    ob: (item: any) => string;
    pp: Brush;
    pn: Brush;
    os: number;
    po: Brush;
    readonly pq: Thickness;
    oi: number;
    ok: number;
    oj: number;
    oh: number;
    ol: number;
    ag(): Axis[];
    private oa;
    private og;
    private of;
    protected o9(a: number, b: boolean): void;
    protected get_dm(): boolean;
    o4(a: number): string;
    readonly o6: string;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ValueOverlayView extends SeriesView {
    static $t: Type;
    constructor(a: ValueOverlay);
    private bz;
    protected bb(): void;
    protected bc(): void;
    by(a: Geometry): void;
    bx(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
}
